Sources
Authorize price negotiation
Ask Hikoo to be allowed to talk price on one source, up to an amount.
Nothing is authorised by this call: it opens a request on the source’s decision card, which the workspace owner or an admin confirms in Hikoo (single use, expires in 48 hours). The workspace money limits are checked now (409 above them) and again at the confirmation.
POST
/
api
/
v1
/
public
/
outreach
/
sources
/
{source_id}
/
negotiation
Authorize price negotiation
curl --request POST \
--url https://api.tryhikoo.com/api/v1/public/outreach/sources/{source_id}/negotiation \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"ceiling": 1,
"currency": "EUR",
"note": "<string>"
}
'import requests
url = "https://api.tryhikoo.com/api/v1/public/outreach/sources/{source_id}/negotiation"
payload = {
"ceiling": 1,
"currency": "EUR",
"note": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({ceiling: 1, currency: 'EUR', note: '<string>'})
};
fetch('https://api.tryhikoo.com/api/v1/public/outreach/sources/{source_id}/negotiation', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.tryhikoo.com/api/v1/public/outreach/sources/{source_id}/negotiation",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'ceiling' => 1,
'currency' => 'EUR',
'note' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.tryhikoo.com/api/v1/public/outreach/sources/{source_id}/negotiation"
payload := strings.NewReader("{\n \"ceiling\": 1,\n \"currency\": \"EUR\",\n \"note\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.tryhikoo.com/api/v1/public/outreach/sources/{source_id}/negotiation")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"ceiling\": 1,\n \"currency\": \"EUR\",\n \"note\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.tryhikoo.com/api/v1/public/outreach/sources/{source_id}/negotiation")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"ceiling\": 1,\n \"currency\": \"EUR\",\n \"note\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"decision_id": 123,
"kind": "<string>",
"expires_at": "<string>",
"message": "<string>",
"pending": true
}{
"detail": "Invalid or expired API key"
}{
"detail": "This website has no active subscription, so its data is unavailable."
}{
"detail": "Website not found"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}{
"detail": "Too many requests. Please try again shortly."
}Authorizations
Body
application/json
⌘I
Authorize price negotiation
curl --request POST \
--url https://api.tryhikoo.com/api/v1/public/outreach/sources/{source_id}/negotiation \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"ceiling": 1,
"currency": "EUR",
"note": "<string>"
}
'import requests
url = "https://api.tryhikoo.com/api/v1/public/outreach/sources/{source_id}/negotiation"
payload = {
"ceiling": 1,
"currency": "EUR",
"note": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({ceiling: 1, currency: 'EUR', note: '<string>'})
};
fetch('https://api.tryhikoo.com/api/v1/public/outreach/sources/{source_id}/negotiation', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.tryhikoo.com/api/v1/public/outreach/sources/{source_id}/negotiation",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'ceiling' => 1,
'currency' => 'EUR',
'note' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.tryhikoo.com/api/v1/public/outreach/sources/{source_id}/negotiation"
payload := strings.NewReader("{\n \"ceiling\": 1,\n \"currency\": \"EUR\",\n \"note\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.tryhikoo.com/api/v1/public/outreach/sources/{source_id}/negotiation")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"ceiling\": 1,\n \"currency\": \"EUR\",\n \"note\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.tryhikoo.com/api/v1/public/outreach/sources/{source_id}/negotiation")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"ceiling\": 1,\n \"currency\": \"EUR\",\n \"note\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"decision_id": 123,
"kind": "<string>",
"expires_at": "<string>",
"message": "<string>",
"pending": true
}{
"detail": "Invalid or expired API key"
}{
"detail": "This website has no active subscription, so its data is unavailable."
}{
"detail": "Website not found"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}{
"detail": "Too many requests. Please try again shortly."
}